Skip to main content
DELETE
/
api
/
v1
/
addons
/
{addonId}
/
entitlements
/
{id}
JavaScript
import Stigg from '@stigg/typescript';

const client = new Stigg({
  apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});

const addonPackageEntitlement = await client.v1.addons.entitlements.delete('id', {
  addonId: 'addonId',
});

console.log(addonPackageEntitlement.data);
{
  "data": {
    "id": "<string>",
    "type": "FEATURE",
    "description": "<string>",
    "isGranted": true,
    "isCustom": true,
    "order": 123,
    "behavior": "Increment",
    "hiddenFromWidgets": [
      "PAYWALL"
    ],
    "displayNameOverride": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "featureId": "<string>",
    "usageLimit": 123,
    "hasUnlimitedUsage": true,
    "hasSoftLimit": true,
    "resetPeriod": "YEAR",
    "resetPeriodConfiguration": {
      "accordingTo": "SubscriptionStart"
    },
    "enumValues": [
      "<string>"
    ],
    "customCurrencyId": "<string>",
    "amount": 123,
    "cadence": "MONTH"
  }
}

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-API-KEY
string
required

Server API Key

Path Parameters

addonId
string
required

The addon ID

Maximum string length: 255
id
string
required

The feature ID or custom currency ID of the entitlement

Maximum string length: 255

Response

The deleted addon entitlement object.

Response object

data
AddonPackageEntitlement · object
required

Feature or credit entitlement on an addon